/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
/**
 * Interface for various GetJobs APIs
 * @export
 * @interface IGetJobsParms
 */
export interface IGetJobsParms {
    /**
     * Owner for which to obtain jobs for.
     * Default: current user
     * @type {string}
     * @memberof IGetJobsParms
     */
    owner?: string;
    /**
     * Prefix to filter when obtaining jobs.
     * Default: *
     * @type {string}
     * @memberof IGetJobsParms
     */
    prefix?: string;
    /**
     * Max jobs to return in a list
     * Default: JobsConstants.DEFAULT_MAX_JOBS
     * @type {number}
     * @memberof IGetJobsParms
     */
    maxJobs?: number;
    /**
     * job id for a job
     * @type {string}
     * @memberof IJob
     */
    jobId?: string;
    /**
     * status of the job
     * @type {string}
     */
    status?: string;
}
