/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { Session } from '@zowe/imperative';
import { IRestApiResponse } from '../../doc';
import * as zowe from '@zowe/cli';
/**
 * This class holds helper functions that are used to copy the contents of datasets through the
 * RSE APIs.
 */
export declare class Copy {
    /**
     * Copy the contents of a dataset
     *
     * @param {Session}           session        - connection info
     * @param {IDataSet}          fromDataSet    - The data set to copy from
     * @param {IDataSet}          toDataSet      - The data set to copy to
     *
     * @returns {Promise<IRestApiResponse>} A response indicating the status of the copying
     *
     * @throws {ImperativeError} Data set name must be specified as a non-empty string
     * @throws {Error} When the API throws an error
     *
     */
    static dataSet(session: Session, { dsn: fromDataSetName, member: fromMemberName }: zowe.IDataSet, { dsn: toDataSetName, member: toMemberName }: zowe.IDataSet): Promise<IRestApiResponse>;
    private static getDataSetType;
    /**
     * Get Log
     * @returns {Logger} applicationLogger.
     */
    private static get log();
}
