/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import * as zapp from '../parser/zapp-schema';
/**
 * A collection of business logic for accessing, manipulating, validating
 * property groups in ZAPP documents.
 */
export declare class PropertyGroupsController {
    /**
     * Basic accessor method for reading property groups in a workspace.
     * @param {string} workspacePath absolute path to the workspace that contains zapp.yaml or zapp.json
     * @param {string} [language] optional filter by language which will include property groups without a language property
     * @returns {zapp.PropertyGroupItem[]} an array of property groups found
     */
    static getPropertyGroups(workspacePath: string, language?: string): zapp.PropertyGroupItem[];
}
