/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import * as yargs from 'yargs';
import { ICreateDataSetOptions } from '../../api/methods/create/doc/ICreateDataSetOptions';
import { ICreateUssOptions } from '../../api/methods/create/doc/ICreateUssOptions';
/**
 * Generate the appropriate options object to create a dataset before sending it to the RSE APIs
 * @param {yargs.Arguments} commandArguments - The provided command arguments
 * @return {ICreateDataSetOptions} Object to be sent
 */
export declare function generateRestDataSetOptions(commandArguments: yargs.Arguments): ICreateDataSetOptions;
/**
 * Generate the appropriate options object to create a dataset before sending it to the RSE APIs
 * @param {yargs.Arguments} commandArguments - The provided command arguments
 * @return {ICreateUSSOptions} Object to be sent
 */
export declare function generateRestUSSOptions(commandArguments: yargs.Arguments): ICreateUssOptions;
