/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { IHandlerParameters, Session } from '@zowe/imperative';
import { RestBaseHandler } from '../../RestBaseHandler';
import { IRestApiResponse } from '../../../api/doc/IRestApiResponse';
/**
 * "zos-jobs view spool-by-id" command handler. Outputs a single spool DD contents.
 * @export
 * @class SubmitJobHandler
 */
export default class SpoolFileByIdHandler extends RestBaseHandler {
    /**
     * Command handler process - invoked by the command processor to handle the "zos-jobs view job"
     * @param {IHandlerParameters} params - Command handler parameters
     * @returns {Promise<void>} - Fulfilled when the command completes successfully OR rejected with imperative error
     * @memberof SubmitDataSetHandler
     */
    processWithSession(commandParameters: IHandlerParameters, session: Session): Promise<IRestApiResponse>;
}
