/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,i){return new(t||(t=Promise))((function(a,o){function r(e){try{l(i.next(e))}catch(e){o(e)}}function n(e){try{l(i.throw(e))}catch(e){o(e)}}function l(e){var s;e.done?a(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(r,n)}l((i=i.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Create=void 0;const imperative_1=require("@zowe/imperative"),ZosRestApi_constants_1=require("../../constants/ZosRestApi.constants"),rest_1=require("../../rest"),Create_defaults_1=require("./Create.defaults"),path_1=require("path"),ZosFiles_messages_1=require("../../constants/ZosFiles.messages"),CoreUtils_1=require("../../utils/CoreUtils"),List_1=require("../list/List");class Create{static dataSet(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Create.dataSet called.");let a=!0,o=i?JSON.parse(JSON.stringify(i)):{};imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingDatasetType.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),o.showAttributes&&delete o.showAttributes;const r=(0,CoreUtils_1.setHeaders)(e);switch(s){case 3:o=Object.assign(Object.assign({},Create_defaults_1.CreateDefaults.DATA_SET.PARTITIONED),o);break;case 4:o=Object.assign(Object.assign({},Create_defaults_1.CreateDefaults.DATA_SET.SEQUENTIAL),o);break;case 1:o=Object.assign(Object.assign({},Create_defaults_1.CreateDefaults.DATA_SET.C),o);break;case 2:o=Object.assign(Object.assign({},Create_defaults_1.CreateDefaults.DATA_SET.CLASSIC),o);break;default:a=!1}if(!a)throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.unsupportedDatasetType.message),new imperative_1.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.unsupportedDatasetType.message});try{o.name=t.toUpperCase();const s=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.DATASETS}`));this.log.debug(`Endpoint: ${s}`),this.dataSetValidateOptions(o);const i=yield rest_1.RseRestClient.postExpectString(e,s,r,o);return{success:!0,commandResponse:`"${o.name}" created successfully.`,apiResponse:i}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static dataSetValidateOptions(e){imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,ZosFiles_messages_1.ZosFilesMessages.missingFilesCreateOptions.message);const s=e;for(const e in s)if(s.hasOwnProperty(e))switch(e){case"allocationUnit":s.allocationUnit=this.alcUnitValidation(s.allocationUnit);break;case"averageBlock":case"mgntclass":case"storeclass":case"dataclass":case"unit":case"volumeSerial":case"name":break;case"blockSize":s.blockSize||(s.blockSize=s.recordLength);break;case"recordLength":imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s.recordLength,ZosFiles_messages_1.ZosFilesMessages.missingRecordLength.message);break;case"directoryBlocks":this.dirBlkValidation(s.directoryBlocks,s.dataSetOrganization);break;case"dsntype":this.dsnTypeValidation(s.dsntype);break;case"dataSetOrganization":this.dsOrgValidation(s.dataSetOrganization);break;case"primary":this.primaryValidation(s.primary);break;case"secondary":s.secondary=this.secondaryValidation(s.secondary);break;case"recordFormat":s.recordFormat=this.recordFormatValidation(s.recordFormat);break;default:throw this.log.error(`${ZosFiles_messages_1.ZosFilesMessages.invalidFilesCreateOption.message}${e}`),new imperative_1.ImperativeError({msg:`${ZosFiles_messages_1.ZosFilesMessages.invalidFilesCreateOption.message}${e}`})}}static allocateLike(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Create.allocateLike called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingAllocLikeName.message),yield(0,CoreUtils_1.apiVersionCheck)(e,107);const a=(0,CoreUtils_1.setHeaders)(e),o=i?JSON.parse(JSON.stringify(i)):{};o.showAttributes&&delete o.showAttributes;try{o.name=s.toUpperCase();const i=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.DATASETS}/${t}${ZosRestApi_constants_1.ZosRestApiConstants.ALLOCLIKE}${s}`));this.log.debug(`Endpoint: ${i}`),0!==Object.keys(o).length&&this.dataSetValidateOptions(o);const r=yield rest_1.RseRestClient.postExpectJSON(e,i,a,o);return{success:!0,commandResponse:`"${o.name}" allocated successfully.`,apiResponse:r}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static uss(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Create.uss called.");const a={type:t,permissions:i};imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingRequestType.message),imperative_1.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingRequestType.message);const o=(0,CoreUtils_1.setHeaders)(e);try{"file"===t&&(imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message),imperative_1.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message)),"directory"===t&&(imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message),imperative_1.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message)),a.permissions=i||Create_defaults_1.CreateDefaults.USS.CREATE.permissions;const r=(0,CoreUtils_1.endpointBuilderWithEncoding)(e,`${ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE}${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}`,s);this.log.debug(`Endpoint: ${r}`);const n=yield rest_1.RseRestClient.postExpectString(e,r,o,a);return{success:!0,commandResponse:`"${s}" created successfully.`,apiResponse:n}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static getAttributes(e,s,t){return __awaiter(this,void 0,void 0,(function*(){const i=(yield List_1.List.dataSet(e,s,t)).apiResponse.items.map((e=>({dsname:e.name,blksz:e.blockSize,dsntp:e.dsnType,dsorg:e.dataSetOrganization,extx:e.extents,lrecl:e.recordLength,recfm:e.recordFormat,spacu:e.allocationUnit,vol:e.volumeSerial,vols:e.volumeSerial,migr:e.migrated,cdate:e.creationDate,rdate:e.referenceDate,type:e.type})));for(const e of i)!0===e.migr?e.migr="YES":e.migr="NO";return i}))}static alcUnitValidation(e){switch(e=e?e.toUpperCase():"TRACK"){case"CYLINDER":case"BLOCK":case"TRACK":break;default:throw this.log.error(`${ZosFiles_messages_1.ZosFilesMessages.invalidAlcunitOption.message}${e}`),new imperative_1.ImperativeError({msg:`${ZosFiles_messages_1.ZosFilesMessages.invalidAlcunitOption.message}${e}`})}return e}static dirBlkValidation(e,s){if(0!==e&&"PS"===s)throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.invalidPSDsorgDirblkCombination.message),new imperative_1.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.invalidPSDsorgDirblkCombination.message});if(0===e&&"PO"===s)throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.invalidPODsorgDirblkCombination.message),new imperative_1.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.invalidPODsorgDirblkCombination.message})}static dsOrgValidation(e){switch(e.toUpperCase()){case"PO":case"PS":break;default:throw this.log.error(`${ZosFiles_messages_1.ZosFilesMessages.invalidDsorgOption.message}${e}`),new imperative_1.ImperativeError({msg:`${ZosFiles_messages_1.ZosFilesMessages.invalidDsorgOption.message}${e}`})}}static dsnTypeValidation(e){let s="";e&&(s=e.toUpperCase());if(-1===["BASIC","EXTPREF","EXTREQ","HFS","LARGE","PDS","LIBRARY","PIPE"].indexOf(s))throw this.log.error(`${ZosFiles_messages_1.ZosFilesMessages.invalidDsntypeOption.message}${e}`),new imperative_1.ImperativeError({msg:`${ZosFiles_messages_1.ZosFilesMessages.invalidDsntypeOption.message}${e}`})}static primaryValidation(e){if(imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,ZosFiles_messages_1.ZosFilesMessages.missingPrimary.message),e>Number("16777215"))throw this.log.error(`${ZosFiles_messages_1.ZosFilesMessages.maximumAllocationQuantityExceeded.message}for 'primary'.`),new imperative_1.ImperativeError({msg:`${ZosFiles_messages_1.ZosFilesMessages.maximumAllocationQuantityExceeded.message}for 'primary'.`})}static secondaryValidation(e){if(e||(e=0),e>Number("16777215"))throw this.log.error(`${ZosFiles_messages_1.ZosFilesMessages.maximumAllocationQuantityExceeded.message}for 'secondary'.`),new imperative_1.ImperativeError({msg:`${ZosFiles_messages_1.ZosFilesMessages.maximumAllocationQuantityExceeded.message}for 'secondary'.`});return e}static recordFormatValidation(e){switch(e||(e="F"),e.toUpperCase()){case"F":case"FB":case"V":case"VB":break;default:throw this.log.error(`${ZosFiles_messages_1.ZosFilesMessages.invalidRecfmOption.message}${e}`),new imperative_1.ImperativeError({msg:`${ZosFiles_messages_1.ZosFilesMessages.invalidRecfmOption.message}${e}`})}return e}static get log(){return imperative_1.Logger.getAppLogger()}}exports.Create=Create;